Login im Aquatropolis Forum funktioniert nicht

  • Wenn ich versuche mich im MN-Forum von Aquatropolis anzumelden erhalte ich seit heute die Fehlermeldung:


    Falscher Autorisierungscode! Greifen Sie auf diese Funktion auf die übliche Weise zu? Bitte gehen Sie zurück und versuchen Sie es erneut.


    Das letzte Mal konnte ich mich Gestern (30.12.2021) gegen 13:00 Uhr erfolgreich anmelden (danach hatte ich es bis Heute 18:00 Uhr nicht mehr versucht). Das Problem besteht anscheinend für alle meine IDs (auch die mit einem anderen Passwort als meine HID). Könnte das mit dem hier angekündigten Umzug zu tun haben?

    • Offizieller Beitrag

    Ja, das Problem hat mit dem Umzug zu tun. Einen von mir unternommenen Versuch des Upgrades Eurer Forensoftware auf die aktuelle Version habe ich erst einmal wieder rückgängig gemacht. Vor dem Serverumzug habe ich nun nur die geringfügigen Anpassungen manuell gemacht, die für den Betrieb des Forums auf dem neuen Server unter PHP 7 notwendig sind. Alle anderen Upgrades könnt und solltet Ihr dann in näherer Zukunft wieder selber machen.


    Du kannst Dich daher nun wieder problemlos einloggen können.

  • Danke für die schnelle Antwort.


    Ich glaube Jeanne Duchamp hatte als letzter verbliebener Foren Admin vor ein paar Jahren schonmal versucht auf eine neue Forensoftware aufzurüsten. Das hat aber so viele Probleme verursacht dass sie es damals schnell wieder zurückgerollt hat (ein paar Forenfunktionen ließen sich auch danach nicht wieder herstellen) und es seitdem nicht wieder in Angriff genommen.


    Die Anpassungen die du vorgenommen hast scheinen auch Probleme zu verursachen. Ich kann mich jetzt zwar anmelden aber es werden keine Texte in den Forenbeiträgen mehr angezeigt. Ein Post den ich jetzt versuchsweise abgesetzt habe ist zwar durchgegangen, wird aber auch nur ohne Text angezeigt.


    Im Hintergrund werden beim Versuch ein Unterforum zu öffnen etliche Blöcke an Fehlermeldungen in der Art angezeigt:


    File Line Function
    [PHP] errorHandler->error
    /inc/class_parser.php 631 preg_replace
    /inc/class_parser.php 345 postParser->mycode_parse_quotes
    /inc/class_parser.php 153 postParser->parse_mycode
    /inc/functions_post.php 791 postParser->parse_message
    /showthread.php 1098 build_postbit

    Warning [2] preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead - Line: 352 - File: inc/class_parser.php PHP 7.2.34 (Linux)

    • Offizieller Beitrag

    Schade, ich musste erst einmal Euren Webspace wieder auf PHP 5.6 zurücksetzen. So können wir die Kommunikation über Euer Forum dort weiterführen.

  • Als jemanden, den das zwar nichts angeht, empfehle ich dennoch ausdrücklich ein baldiges Update auf eine neue PHP Version. Version 5.6 wird seit geraumer Zeit nicht mehr offiziell supported. Gepaart mit einer alten Forensoftware stellt das natürlich auch ein gewisses Sicherheitsrisiko dar.

    Die Datenbank sollte sich ja zu einer neueren Version von MyBB migrieren lassen. Wobei natürlich nicht die Kompatibilität mit allen Plugins (sofern verwendet) gewährleisten werden kann. Und das Theme müsste wahrscheinlich auch neu gemacht werden.


    Falls Interesse besteht, könnte ich auch meine Hilfe anbieten (anstatt hier einfach nur drauf rumzureiten ;))

    Signatur von König Potty - König des Königreichs Pottyland
    "Das ist so sinnvoll, wie von einer Parade mit zerrissenen Hosen alleine wieder nach Hause zu gehen"

    - Altes pottyländisches Sprichwort